Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Help us improve these docs. Take our quick survey.
cURL
curl --request POST \ --url https://api.example.com/agents/query \ --header 'Content-Type: application/json' \ --data ' { "project_id": "<string>", "filters": { "agent_name": "<string>" }, "sort_by": [ { "field": "<string>", "direction": "desc" } ], "limit": 100, "offset": 0, "include_costs": false } '
{ "agents": [ { "project_id": "<string>", "agent_name": "<string>", "invocation_count": 123, "span_count": 123, "total_input_tokens": 123, "total_output_tokens": 123, "total_duration_ms": 123, "error_count": 123, "first_seen": "2023-11-07T05:31:56Z", "last_seen": "2023-11-07T05:31:56Z", "total_cost_usd": 123 } ], "total_count": 0 }
Request to list agents with aggregated stats for a project.
Optional filters for querying agents.
Show child attributes
0 <= x <= 10000
x >= 0
Successful Response
Response containing aggregated agent stats.
Was this page helpful?